REM Okay, this is my real nightly processing loop.  I do tons of stuff here,
REM but NONE of it should be done if, by some wierd rift in the fabric of 
REM space-time, we are not Node #1.

if not #%NODE%# == #1# goto :skip

REM Okay we are Node #1, get to my main directory, where almost all of the
REM utilities require you to be anyway.

cd \tb\node%NODE%

REM Do an ASCTOBIN to insure that the FILES.LST's and the FILES.BIN are in
REM sync.

asctobin /all

REM Here I manage several backup copies of most critical files. I have the
REM last three on my C: drive and the current one also on my D: drive.
REM Paranoia pays, trust me.  Refer to FILEAREA.LST and IMPORTAN.LST to see
REM what gets included.  I also make a pass using KILL.LST to remove all of
REM the user-specific login display screens (ala 123.ANS and 123.BBS).

del c:\temp\tbbackup.2
ren c:\temp\tbbackup.1 tbbackup.2
ren c:\temp\tbbackup.zip tbbackup.1
pkzip -a -ex -P c:\temp\tbbackup.zip @\tb\filearea.lst
pkzip -a -ex -P c:\temp\tbbackup.zip -xCALLERS.LOG -x*.EXE @\tb\importan.lst
pkzip -d c:\temp\tbbackup.zip @\tb\kill.lst
copy c:\temp\tbbackup.zip d:\ /v

REM Paranoia again, get back to Node #1's main directory

cd \tb\node%NODE%

REM Okay, how about a message-pack and a user-pack (after the backup 
REM process above--lesson learned).  The user-pack is done, not to remove
REM users, since that seems to mess some third-party tools up, but to cause
REM the ALIAS.IDX, USERS.IDX and (possibly) USERS.SUP to be regenerated.  We
REM used to lose those occasionally, though I don't know if we have recently.

TRIPACK
TRIMAN /UPACK /BATCH


REM Okay now for all those lovely third-party tools.  Golly TriBBS has great
REM 3rd-party support!  Keep it up gang.

cd \tb\utils
TRISTAT C:\TB\NODE1\MWORK\CALLERS.LOG
TRIMAST ALLFILES.TXT
COPY ALLFILES.TXT D:\TB\FILES\NEW\ALLFILES.TXT
PKZIP -m -ex D:\TB\FILES\NEW\ALLFILES.ZIP ALLFILES.TXT
SYSUSE

REM Paranoia again, get back to Node #1's main directory

cd \tb\node%NODE%

:skip

REM All done, or we shouldn't have been here!
