@echo off
REM This batch does my nightly processing event.  I trigger this in EACH node
REM as a non-sliding event.  Each node will run, in its own window, this
REM batch file--remember that all of my DOORS and EVENT batch files are
REM identical in each node directory (and I could use a single copy if
REM MarkG would check the path for them when copying them over to EVENT.BAT
REM or DOOR.BAT--maybe someday).  Each will, in turn call the WAITDOWN.BAT
REM file to wait for the C:\TB\NODEDOWN.x files to show up for each node.
REM In that batch file, the one for this current node will be created, and
REM they will be created in the order of the FOR loop below.  If you add
REM nodes, just increase the loop enumerations.  After all of the WAITDOWN.BAT
REM calls have been completed, Node #1 will run the REALNITE.BAT to do the
REM actual processing, and the rest of the nodes will just fall through to
REM the WAITUP.BAT call.  When REALNITE.BAT is complete, it will do another
REM loop to create the wake up signal files.  WAITUP.BAT will wait for this
REM node's specific NODEUP.x file to appear before returning to here.  Those
REM are the files created in the second FOR loop after REALNITE.BAT completes
REM (in Node #1's window).  Finally, the usual "change to the node's main
REM directory and run BOARD.BAT" stuff is done, which will delete the
REM NODEDOWN.x file for this node, and start the BBS.EXE back up.  Woah is
REM this complex or what?  Maybe I shoulda done this with a program...I'll
REM get back to ya... ;)
@echo on

for %%n in (1,2,3) do call \tb\waitdown.bat %%n

if not #%NODE%# == #1# goto waitup

call \tb\realnite.bat

for %%n in (1,2,3) do call \tb\wakeup.bat %%n

:waitup
call \tb\waitup.bat

cd \tb\node%NODE%
board
