REM This batch file is part of my NITELY.BAT event.  I use this to wait for
REM a signal from some other node that it is safe to restart the BOARD.BAT.
REM What I do is loop waiting for a file in the C:\TB directory that is
REM named according to the node number.  For example, if Node #2 is not
REM currently active, a file C:\TB\NODEDOWN.2 will exist, and this file
REM will loop waiting for a file called C:\TB\NODEUP.2 to appear.  When
REM it does, this batch file will terminate.

REM Now we check to see if the NODEUP.x file exists.  If so, we are done
REM almost done this little batch file and jump to complete our hoary task.
REM Otherwise, we sit and spin to wait for a while (30 seconds or 546 clock
REM ticks) using Norton Utilities Batch Enhancer.  Then we loop back for
REM another look-see.  You might wish to use some other tool, perhaps one
REM that yields time slices.

:wait
if exist \tb\nodeup.%NODE% goto :seen
be delay 546
goto :wait

:seen

REM The file we have been waiting for has appeared, signalling the dawning of
REM the age of BOARD.BAT, so we kill of the indicator that we should wake
REM from our long slumber and exit this batch file. 

del \tb\nodeup.%NODE%
